<?php
echo "<div class='event'><h1>Обменник</h1></div>";
echo "<div class='block'>";

$actionx=htmlspecialchars(trim($_GET['actionx']));

switch ($actionx){
default:

echo "Курс: <b>1</b><img src='img/icons/ruby.png' alt='' class='*'/> » <b>2000</b><img src='img/icons/money.png' alt='' class='*'/><br/>";
echo "<div class='hr'></div>";
echo "Введите сумму:</br>";
echo '<form action="?converter&actionx=change" method="post">';

echo '<input name="num" type="text" value=""/>';
echo '<select name="obm" size="1">';
echo '<option value="1">Купить</option>';
//echo '<option value="2">Продать монеты</option></select>';
echo '</br><input type="submit" value="Далее"/>';
echo '</form>';

break;


case 'change':
$num=(int)$_POST['num'];
$obm=(int)$_POST['obm'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($obm==1) {
if($ku['rubies']<$num){echo 'У вас нет столько рубинов!';
echo "<div class='block'><img src='img/icons/left.png' alt='' class='*'/> <a href='?converter'>Назад</a></div>";
break;
};
$baks=$num*2000;
mysql_query("UPDATE `kolhoz_user` SET `money`=`money`+'$baks',`rubies`=`rubies`-'$num' WHERE `id`='".$ku['id']."'");
header("Location:?converter");
break;
};
if($obm==2) {
if($ku['rubies']<$num){echo 'У вас нет столько рубинов!';
echo "<img src='img/icons/left.png' alt='' class='*'/> <a href='?converter'>Назад</a>";
break;
};
if($ku['rubies']<1){echo 'Не достаточно рубинов!';
break;
};
$baks=$num/1;
mysql_query("UPDATE `kolhoz_user` SET `rubies`=`rubies`+'$baks',`money`=`money`-'$num' WHERE `id`='".$ku['id']."'");
echo "<center><div class='bubl'>";
header("Location:?converter");
break;
};
};

include_once 'inc/foot.php';
?>